<?php

/**
 * @file
 * Administration forms for the GetKudos module.
 */

/**
 * Form constructor for GetKudos settings form.
 *
 * @ingroup forms
 */
function getkudos_settings($form, &$form_state) {
  $form['getkudos_brand'] = array(
    '#type' => 'textfield',
    '#title' => t('GetKudos Brand'),
    '#description' => t('Vanity url for your brand (getkudos.me/<strong>[your-brand]</strong>).'),
    '#default_value' => variable_get('getkudos_brand'),
  );

  $form['getkudos_floating_widget'] = array(
    '#type' => 'checkbox',
    '#title' => t('GetKudos floating widget'),
    '#description' => t('Display the GetKudos floating widget'),
    '#default_value' => variable_get('getkudos_floating_widget', 0),
  );

  return system_settings_form($form);
}
